namespace ScadaLink.Commons.Entities.Instances;

public class Area
{
    public int Id { get; set; }
    public int SiteId { get; set; }
    public string Name { get; set; }
    public int? ParentAreaId { get; set; }
    public ICollection<Area> Children { get; set; } = new List<Area>();

    public Area(string name)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
    }
}
